#ifndef _TK_BOOL_OPTION_H_
#define _TK_BOOL_OPTION_H_

#include "tk_baseoption.h"

class TkBoolOption:public TkBaseOption
{
	bool value;
protected:
	void doSerialize(TiXmlElement& element) const;
	void doDeserialize(const TiXmlElement& element);
public:
	static TXmlObject* newObject()
	{
		return new TkBoolOption();
	}
	static const string TRUE_VALUE;
	static const string FALSE_VALUE;

	static const char* type;
	const char* getType() const;

	TkBoolOption();
	TkBoolOption(bool value);

	bool get() const
	{
		return value;
	}

	const string& toString() const;
	void fromObject(Tcl_Obj* object);
};

#endif/*_TK_BOOL_OPTION_H_*/
